[Reproducible-builds] [misc] 02/02: test-reproducibility: add a simple build-and-compare script

Jérémy Bobbio lunar at moszumanska.debian.org
Mon Sep 1 00:11:47 UTC 2014


This is an automated email from the git hooks/post-receive script.

lunar pushed a commit to branch master
in repository misc.

commit b95b16b1ac95203b833be85e14c079ab2a283855
Author: Jérémy Bobbio <lunar at debian.org>
Date:   Sun Aug 31 22:24:37 2014 +0000

    test-reproducibility: add a simple build-and-compare script
---
 test-reproducibility/build-and-compare | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

diff --git a/test-reproducibility/build-and-compare b/test-reproducibility/build-and-compare
new file mode 100755
index 0000000..b9eba85
--- /dev/null
+++ b/test-reproducibility/build-and-compare
@@ -0,0 +1,17 @@
+#!/bin/sh
+# build-and-compare: sample script to build a package and then compare
+# the output with the base line.
+#
+# Copyright © 2014 Lunar <lunar at debian.org>
+# Licensed under WTFPL — http://www.wtfpl.net/txt/copying/
+
+test "$TEST_REPRODUCIBILITY_STAGE" || exit 1
+
+rm -rf source
+dpkg-source -x *.dsc source
+cd source
+dpkg-buildpackage -b -j1 >/dev/null
+rm -rf ../builds/$TEST_REPRODUCIBILITY_STAGE
+mkdir -p ../builds/$TEST_REPRODUCIBILITY_STAGE
+dcmd cp ../*.changes ../builds/$TEST_REPRODUCIBILITY_STAGE
+/tmp/diffp ../builds/baseline/*.changes ../builds/$TEST_REPRODUCIBILITY_STAGE/*.changes

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/reproducible/misc.git



More information about the Reproducible-builds mailing list